🤑 Indie game store🙌 Free games😂 Fun games😨 Horror games
👷 Game development🎨 Assets📚 Comics
🎉 Sales🎁 Bundles

"Could not check for updates: options must be an object".

A topic by eigenbom created 1 year ago Views: 187 Replies: 4
Viewing posts 1 to 4

Still experimenting with the Linux itch client...

I pushed an update and then clicked 'Check for update' and received this message "Could not check for updates: options must be an object".

Clicking "re-install" re-installed the game but it wasn't the most recent build.

Uninstalling and then installing finally got the latest build.

Admin

What version of the itch app is that? I remember those problems from older versions.

It's the most recent one, running in a virtual machine. itch: v18.6.0, ubuntu 16.04.1 LTS.

Some more info: Before this occurred I had changed the filename on the server (from .tar.gz -> .zip because of the other issue I had), and then had to re-install the game under the itch app.

Admin

I think I know what's happening, thanks for the report. Shipping a patch asap.

Ok cheers!